X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I cannot get rid of two firefox windows that say in one case that firefox is "running" and the latest version cannot finish downloading.

Posted

When i double click on my firefox browser a warning comes up that the latest version of firefox cannot finish downloading as a version of firefox seems to be running and i need to close it down.However i don't understand if some version is running or where to shut it down. Further i recently ,on double clicking the firefox browser,got another window, after closing the warning in the first paragraph above,about PLUG INS that will not go away.So, i uninstalled the JAVA and QUICK TIME plugins that it said were "out of date" and attempted to update the ADOBE plug in that was also indicating it was out of date.I completed all the updating steps for ADOBE however the PLUG INS window still returns(without JAVA and QUICK TIME as they were uninstalled)saying ADOBE requires updating even though i did that.What can i do???

Chosen solution

Do the following:

  1. Visit www.getfirefox.com, download Firefox 19.0.2 to your computer (Save) then restart your PC.
  2. After restarting your computer, then double-click the Firefox installer you just downloaded (Don't open Firefox). Update Firefox.
  3. Go to https://www.mozilla.org/en-US/plugincheck/ to update your plugins
Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.6 r602
  • Google Talk Plugin Video Accelerator version:0.1.44.24
  • Version 3.15.2.12038
  • Google Update
  • McAfee MSS+ NPAPI Plugin
  • McAfee MSC FF plugin DLL
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.4
  • SiteAdvisor
  • MindSpark Toolbar Platform Plugin Stub for 32-bit Windows
  • McAfee Virtual Technician plugin for Mozilla (Gecko Version: 1.8b1)
  • Coupons, Inc. Coupon Printer Plugin
  • Coupons, Inc. Coupon Printer DLL
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Yahoo! activeX Plug-in Bridge

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:11.0) Gecko/20100101 Firefox/11.0

More Information

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

Chosen Solution

Do the following:

  1. Visit www.getfirefox.com, download Firefox 19.0.2 to your computer (Save) then restart your PC.
  2. After restarting your computer, then double-click the Firefox installer you just downloaded (Don't open Firefox). Update Firefox.
  3. Go to https://www.mozilla.org/en-US/plugincheck/ to update your plugins